Bug 1129292 - postgis fails to build in rawhide due to json-c
Summary: postgis fails to build in rawhide due to json-c
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: postgis
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jozef Mlich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1129295
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2014-08-12 14:20 UTC by Marcin Juszkiewicz
Modified: 2015-08-02 23:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-19 09:30:47 UTC


Attachments (Terms of Use)
backport + spec changes (6.44 KB, patch)
2014-08-12 14:28 UTC, Marcin Juszkiewicz
mjuszkie: review?
Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1123785 None None None Never

Internal Links: 1123785

Description Marcin Juszkiewicz 2014-08-12 14:20:06 UTC
Description of problem:

PostGIS is not buildable in current rawhide as it finds json-c/json.h header but still tries to use non-existing json/json.h one.

Version-Release number of selected component (if applicable):

2.1.3-3

How reproducible:

always

Steps to Reproduce:
1. fedpkg clone -a postgis
2. fedpkg mockbuild
3.

Actual results:

libtool: compile:  gcc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic -fPIC -DPIC -Wall -Wmissing-prototypes -I/usr/include -c lwtin.c  -fPIC -DPIC -o .libs/lwtin.o
lwin_geojson.c:20:23: fatal error: json/json.h: No such file or directory
 #include <json/json.h>
                       ^
compilation terminated.

Expected results:

package builds

Additional info:

On AArch64 it is also unable to find proper gdal-config but I have other bug report to fill for it.

Comment 1 Marcin Juszkiewicz 2014-08-12 14:28:53 UTC
Created attachment 926080 [details]
backport + spec changes

Comment 2 Jozef Mlich 2014-08-18 09:01:13 UTC
Thanks for reporting!

It seems, the json-c package is changing very quickly. I have turned it on recently, but it seems it is causing more troubles than benefits it brings. I will disable the package for now.

Comment 3 Christopher Meng 2014-08-19 05:05:53 UTC
(In reply to Jozef Mlich from comment #2)
> Thanks for reporting!
> 
> It seems, the json-c package is changing very quickly. I have turned it on
> recently, but it seems it is causing more troubles than benefits it brings.
> I will disable the package for now.

I bumped the json-c to 0.12, and it has 1 API change without soname bump discovered later.

Please track this with the upstream.

#include <json/json.h> has been obsolete for releases, 0.12 finally drops it.


Note You need to log in before you can comment on or make changes to this bug.